Loading...
Searching...
No Matches
space_basic< T, distributed >

## Detailed Description

template<class T>
class rheolef::space_basic< T, distributed >

Definition at line 795 of file space.h.

Inheritance diagram for space_basic< T, distributed >:

## Public Types

typedef space_rep< T, distributed > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::valued_type | valued_type
Public Types inherited from smart_pointer< space_rep< T, distributed > >
typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| space_basic (const geo_basic< T, distributed > &omega=(geo_basic< T, distributed >()), std::string approx="", std::string prod_valued="scalar")
| space_basic (const geo_basic< T, distributed > &omega, const basis_basic< T > &b)
| space_basic (const space_mult_list< T, distributed > &)
| space_basic (const space_constitution< T, distributed > &constit)
void | block (std::string dom_name)
void | unblock (std::string dom_name)
void | block (const domain_indirect_basic< distributed > &dom)
void | unblock (const domain_indirect_basic< distributed > &dom)
void | block_n (std::string dom_name)
void | unblock_n (std::string dom_name)
void | block_n (const domain_indirect_basic< distributed > &dom)
void | unblock_n (const domain_indirect_basic< distributed > &dom)
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
const geo_basic< T, distributed > & | get_geo () const
const basis_basic< T > & | get_basis () const
size_type | size () const
valued_type | valued_tag () const
const std::string & | valued () const
space_component< T, distributed > | operator[] (size_type i_comp)
space_component_const< T, distributed > | operator[] (size_type i_comp) const
const space_constitution< T, distributed > & | get_constitution () const
size_type | degree () const
std::string | get_approx () const
std::string | name () const
void | dis_idof (const geo_element &K, std::vector< size_type > &dis_idof) const
const distributor & | iu_ownership () const
const distributor & | ib_ownership () const
bool | is_blocked (size_type idof) const
size_type | dis_iub (size_type idof) const
bool | dis_is_blocked (size_type dis_idof) const
size_type | dis_idof2dis_iub (size_type dis_idof) const
const distributor & | ios_ownership () const
size_type | idof2ios_dis_idof (size_type idof) const
size_type | ios_idof2dis_idof (size_type ios_idof) const
const point_basic< T > & | xdof (size_type idof) const
const disarray< point_basic< T >, distributed > & | get_xdofs () const
template<class Function>
T | momentum (const Function &f, size_type idof) const
template<class Function>
point_basic< T > | vector_momentum (const Function &f, size_type idof) const
template<class Function>
tensor_basic< T > | tensor_momentum (const Function &f, size_type idof) const
disarray< size_type, distributed > | build_dom_dis_idof2bgd_dis_idof (const space_basic< T, distributed > &Wh, const std::string &dom_name) const
disarray< size_type, distributed > | build_dom_dis_idof2bgd_dis_idof (const space_basic< T, distributed > &Wh, const geo_basic< T, distributed > &bgd_gamma) const
const std::set< size_type > & | ext_iu_set () const
const std::set< size_type > & | ext_ib_set () const
bool | operator== (const space_basic< T, distributed > &V2) const
bool | operator!= (const space_basic< T, distributed > &V2) const
template<class Set>
void | get_parent_subgeo_owner_dis_indexes (Set &ext_dis_idofs) const
size_type | get_parent_subgeo_owner (size_type dis_idof) const
Public Member Functions inherited from smart_pointer< space_rep< T, distributed > >
| smart_pointer (T *p=0)
smart_pointer< T > & | operator= (const smart_pointer< T > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, details::constructor_copy< T > >
| smart_pointer_base (T *p=0)
smart_pointer_base< T, details::constructor_copy< T > > & | operator= (const smart_pointer_base< T, details::constructor_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
int | reference_counter () const
counter * | get_count () const

## Static Public Member Functions

static space_basic< T, distributed > | real ()

## Member Typedef Documentation

## rep

template<class T>

typedef space_rep<T,distributed> rep

Definition at line 800 of file space.h.

## base

template<class T>

typedef smart_pointer<rep> base

Definition at line 801 of file space.h.

## size_type

template<class T>

typedef rep::size_type size_type

Definition at line 802 of file space.h.

## valued_type

template<class T>

typedef rep::valued_type valued_type

Definition at line 803 of file space.h.

## Constructor & Destructor Documentation

## space_basic() [1/4]

template<class T>

space_basic | ( | const geo_basic< T, distributed > & | omega = (geo_basic<T,distributed>()),
|  | std::string | approx = "",
|  | std::string | prod_valued = "scalar" )

Definition at line 900 of file space.h.

## space_basic() [2/4]

template<class T>

space_basic | ( | const geo_basic< T, distributed > & | omega,
|  | const basis_basic< T > & | b )

Definition at line 909 of file space.h.

## space_basic() [3/4]

template<class T>

space_basic | ( | const space_mult_list< T, distributed > & | expr | ) |

Definition at line 924 of file space.h.

## space_basic() [4/4]

template<class T>

space_basic | ( | const space_constitution< T, distributed > & | constit | ) |

Definition at line 917 of file space.h.

## Member Function Documentation

## real()

template<class T>

space_basic< T, distributed > real | ( |  | ) |

static

## block() [1/2]

template<class T>

void block | ( | std::string | dom_name | ) |

Definition at line 1106 of file space.h.

## unblock() [1/2]

template<class T>

void unblock | ( | std::string | dom_name | ) |

Definition at line 1113 of file space.h.

## block() [2/2]

template<class T>

void block | ( | const domain_indirect_basic< distributed > & | dom | ) |

Definition at line 1120 of file space.h.

## unblock() [2/2]

template<class T>

void unblock | ( | const domain_indirect_basic< distributed > & | dom | ) |

Definition at line 1127 of file space.h.

## block_n() [1/2]

template<class T>

void block_n | ( | std::string | dom_name | ) |

Definition at line 1134 of file space.h.

## unblock_n() [1/2]

template<class T>

void unblock_n | ( | std::string | dom_name | ) |

Definition at line 1141 of file space.h.

## block_n() [2/2]

template<class T>

void block_n | ( | const domain_indirect_basic< distributed > & | dom | ) |

Definition at line 1148 of file space.h.

## unblock_n() [2/2]

template<class T>

void unblock_n | ( | const domain_indirect_basic< distributed > & | dom | ) |

Definition at line 1155 of file space.h.

## ownership()

template<class T>

const distributor & ownership | ( |  | ) | const

Definition at line 931 of file space.h.

## comm()

template<class T>

const communicator & comm | ( |  | ) | const

Definition at line 945 of file space.h.

## ndof()

template<class T>

space_basic< T, distributed >::size_type ndof | ( |  | ) | const

Definition at line 952 of file space.h.

## dis_ndof()

template<class T>

space_basic< T, distributed >::size_type dis_ndof | ( |  | ) | const

Definition at line 959 of file space.h.

## get_geo()

template<class T>

const geo_basic< T, distributed > & get_geo | ( |  | ) | const

Definition at line 966 of file space.h.

## get_basis()

template<class T>

const basis_basic< T > & get_basis | ( |  | ) | const

Definition at line 973 of file space.h.

## size()

template<class T>

space_basic< T, distributed >::size_type size | ( |  | ) | const

Definition at line 987 of file space.h.

## valued_tag()

template<class T>

space_basic< T, distributed >::valued_type valued_tag | ( |  | ) | const

Definition at line 1001 of file space.h.

## valued()

template<class T>

const std::string & valued | ( |  | ) | const

Definition at line 994 of file space.h.

## operator[]() [1/2]

template<class T>

space_component< T, distributed > operator[] | ( | size_type | i_comp | ) |

Definition at line 1008 of file space.h.

## operator[]() [2/2]

template<class T>

space_component_const< T, distributed > operator[] | ( | size_type | i_comp | ) | const

Definition at line 1015 of file space.h.

## get_constitution()

template<class T>

const space_constitution< T, distributed > & get_constitution | ( |  | ) | const

Definition at line 980 of file space.h.

## degree()

template<class T>

space_basic< T, distributed >::size_type degree | ( |  | ) | const

Definition at line 1022 of file space.h.

## get_approx()

template<class T>

std::string get_approx | ( |  | ) | const

Definition at line 1029 of file space.h.

## name()

template<class T>

std::string name | ( |  | ) | const

Definition at line 1036 of file space.h.

## dis_idof()

template<class T>

void dis_idof | ( | const geo_element & | K,
|  | std::vector< size_type > & | dis_idof ) const

Definition at line 1043 of file space.h.

## iu_ownership()

template<class T>

const distributor & iu_ownership | ( |  | ) | const

Definition at line 1064 of file space.h.

## ib_ownership()

template<class T>

const distributor & ib_ownership | ( |  | ) | const

Definition at line 1071 of file space.h.

## is_blocked()

template<class T>

bool is_blocked | ( | size_type | idof | ) | const

Definition at line 1078 of file space.h.

## dis_iub()

template<class T>

space_basic< T, distributed >::size_type dis_iub | ( | size_type | idof | ) | const

Definition at line 1085 of file space.h.

## dis_is_blocked()

template<class T>

bool dis_is_blocked | ( | size_type | dis_idof | ) | const

Definition at line 1092 of file space.h.

## dis_idof2dis_iub()

template<class T>

space_basic< T, distributed >::size_type dis_idof2dis_iub | ( | size_type | dis_idof | ) | const

Definition at line 1099 of file space.h.

## ios_ownership()

template<class T>

const distributor & ios_ownership | ( |  | ) | const

Definition at line 938 of file space.h.

## idof2ios_dis_idof()

template<class T>

space_basic< T, distributed >::size_type idof2ios_dis_idof | ( | size_type | idof | ) | const

Definition at line 1050 of file space.h.

## ios_idof2dis_idof()

template<class T>

space_basic< T, distributed >::size_type ios_idof2dis_idof | ( | size_type | ios_idof | ) | const

Definition at line 1057 of file space.h.

## xdof()

template<class T>

const point_basic< T > & xdof | ( | size_type | idof | ) | const

Definition at line 1162 of file space.h.

## get_xdofs()

template<class T>

const disarray< point_basic< T >, distributed > & get_xdofs | ( |  | ) | const

Definition at line 1169 of file space.h.

## momentum()

template<class T>
template<class Function>

T momentum | ( | const Function & | f,
|  | size_type | idof ) const

Definition at line 1177 of file space.h.

## vector_momentum()

template<class T>
template<class Function>

point_basic< T > vector_momentum | ( | const Function & | f,
|  | size_type | idof ) const

Definition at line 1185 of file space.h.

## tensor_momentum()

template<class T>
template<class Function>

tensor_basic< T > tensor_momentum | ( | const Function & | f,
|  | size_type | idof ) const

Definition at line 1192 of file space.h.

## build_dom_dis_idof2bgd_dis_idof() [1/2]

template<class T>

disarray< size_type, distributed > build_dom_dis_idof2bgd_dis_idof | ( | const space_basic< T, distributed > & | Wh,
|  | const std::string & | dom_name ) const

## build_dom_dis_idof2bgd_dis_idof() [2/2]

template<class T>

disarray< size_type, distributed > build_dom_dis_idof2bgd_dis_idof | ( | const space_basic< T, distributed > & | Wh,
|  | const geo_basic< T, distributed > & | bgd_gamma ) const

## ext_iu_set()

template<class T>

const std::set< size_type > & ext_iu_set | ( |  | ) | const

Definition at line 878 of file space.h.

## ext_ib_set()

template<class T>

const std::set< size_type > & ext_ib_set | ( |  | ) | const

Definition at line 879 of file space.h.

## operator==()

template<class T>

bool operator== | ( | const space_basic< T, distributed > & | V2 | ) | const

Definition at line 883 of file space.h.

## operator!=()

template<class T>

bool operator!= | ( | const space_basic< T, distributed > & | V2 | ) | const

Definition at line 884 of file space.h.

## get_parent_subgeo_owner_dis_indexes()

template<class T>
template<class Set>

void get_parent_subgeo_owner_dis_indexes | ( | Set & | ext_dis_idofs | ) | const

Definition at line 891 of file space.h.

## get_parent_subgeo_owner()

template<class T>

size_type get_parent_subgeo_owner | ( | size_type | dis_idof | ) | const

Definition at line 893 of file space.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space.h